from django import forms
from .models import KisanData, SellerData, UserData, Manufacturer
from django.utils.translation import ugettext_lazy as _
import string



class SellerProfileForm(forms.ModelForm):
    class Meta:
        model = SellerData
        fields = ('name','email', 'mobile', 'comp_name', 'gst','address', 'state', 'pincode')
        labels = {
            'name': _('Enter Name'),
            'email': _('Enter Email'),
            'mobile': _('Contact number'),
            'comp_name': _('Provide company name'),
            'address': _('Your address'),
            'state': _('Enter your state'),
            'pincode': _('Enter Pin'),
            'gst': _('GST number')
        }
        widgets = {
            # 'p_name': forms.TextInput(
            #     attrs={
            #         'class': 'inp',
            #     }
            # ),
            'name': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'comp_name': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'address': forms.Textarea(
                attrs={
                    'class': 'form-control inp1',
                }
            ),
        }

    # def clean(self):
    #     super(ProductUploadForm, self).clean()
    #     p_price = str(self.cleaned_data.get('p_price'))
    #     min_q = str(self.cleaned_data.get('min_q'))
    #
    #     if not p_price.isdigit():
    #         self._errors['p_price'] = self.error_class(['Enter only numeric values'])
    #
    #     if not min_q.isdigit():
    #         self._errors['min_q'] = self.error_class(['Enter only numeric values'])
    #
    #     return self.cleaned_data


class KisanProfileForm(forms.ModelForm):
    class Meta:
        model = KisanData
        fields = ('name','email', 'mobile','address','city', 'state', 'pincode')
        labels = {
            'name': _('Enter Name'),
            'email': _('Enter Email'),
            'mobile': _('Contact number'),
            'address': _('Your address'),
            'state': _('Enter your state'),
            'pincode': _('Enter Pin'),
            'city': _('City name')
        }
        widgets = {
            # 'p_name': forms.TextInput(
            #     attrs={
            #         'class': 'inp',
            #     }
            # ),
            'name': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'comp_name': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'address': forms.TextInput(
                attrs={
                    'class': 'form-control inp1',
                }
            ),
            'city': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'email': forms.TextInput(
                attrs={
                    'class': 'form-control inp1',
                }
            ),
        }


class UserProfileForm(forms.ModelForm):
    class Meta:
        model = UserData
        fields = ('name','email', 'mobile', 'comp_name', 'gst','address', 'state', 'pincode')
        labels = {
            'name': _('Enter Name'),
            'email': _('Enter Email'),
            'mobile': _('Contact number'),
            'comp_name': _('Provide company name'),
            'address': _('Your address'),
            'state': _('Enter your state'),
            'pincode': _('Enter Pin'),
            'gst': _('GST number')
        }
        widgets = {
            # 'p_name': forms.TextInput(
            #     attrs={
            #         'class': 'inp',
            #     }
            # ),
            'name': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'comp_name': forms.TextInput(
                attrs={
                    'class': 'form-control inp',
                }
            ),
            'address': forms.TextInput(
                attrs={
                    'class': 'form-control inp1',
                }
            ),
            'email': forms.TextInput(
                attrs={
                    'class': 'form-control inp1',
                }
            ),
        }

